Subject: Re: Recent wireless breakage (ipw2200, iwconfig, NetworkManager)

From: Tomasz Torcz <[email-masked]>
Date: Mon, 5 Mar 2007 16:46:09 +0100

On Mon, Mar 05, 2007 at 01:13:26AM -0600, Matt Mackall wrote:
> On Sun, Mar 04, 2007 at 11:02:48PM -0800, Greg KH wrote:
> > On Mon, Mar 05, 2007 at 12:42:29AM -0600, Matt Mackall wrote:
> > > On Sun, Mar 04, 2007 at 05:16:25PM -0800, Greg KH wrote:
> > > > On Sun, Mar 04, 2007 at 04:08:57PM -0600, Matt Mackall wrote:
> > > > > Recent kernels are having troubles with wireless for me. Two seemingly
> > > > > related problems:
> > > > > 
> > > > > a) NetworkManager seems oblivious to the existence of my IPW2200
> > > > > b) Manual iwconfig waits for 60s and then reports:
> > > > > 
> > > > > Error for wireless request "Set Encode" (8B2A) :
> > > > >     SET failed on device eth1 ; Operation not supported.
> > > > 
> > > > Do you have CONFIG_SYSFS_DEPRECATED enabled?  If not, please do as that
> > > > will keep you from having to change any userspace code.
> > > 
> > > No, it's disabled. Will test once I'm done tracking down the iwconfig
> > > problem. From the help text for SYSFS_DEPRECATED:
> > > 
> > >           If you are using a distro that was released in 2006 or
> > > 	  later, it should be safe to say N here.
> > > 
> > > If we need an as-yet-unreleased HAL without it, I would say the above
> > > should be changed to 2008 or so. If Debian actually cuts a release in
> > > the next few months, you might make that 2010.
> > 
> > Well, just because Debian has such a slow release cycle, should the rest
> > of the world be forced to follow suit?  :)
> > 
> > When I originally wrote that, I thought Debian would have already done
> > their release, my mistake...
> 
> That's not the point. The point is that Debian/unstable as of _this
> morning_ doesn't work. For reference, I'm running both the latest
> releases of both hal (0.5.8.1-6.1) and network-manager (0.6.4-6). And
> there are people telling me I need a copy of HAL out of git that
> hasn't even been released for Debian to package. Debian isn't the
> problem here.

  hal 0.5.9-rc1 (released, not from git) should work. It will be
problably released soon and picked by sane distributions. Debian is very
irritating corner case.

-- 
Tomasz Torcz                Only gods can safely risk perfection,
[email-masked]     it's a dangerous thing for a man.  -- Alia